wxWidgets: wxAuiToolBarArt Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxAuiToolBarArt Class Referenceabstract
Class List by Category » Window Docking (wxAUI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/aui/auibar.h>`

Inheritance diagram for wxAuiToolBarArt:
[legend]

## Detailed Description

wxAuiToolBarArt is part of the wxAUI class framework.

See also wxAuiToolBar and wxAUI Overview.

##

Library: wxAui

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxAuiToolBarArt ()
virtual wxAuiToolBarArt * | Clone ()=0
virtual void | SetFlags (unsigned int flags)=0
virtual unsigned int | GetFlags ()=0
virtual void | SetFont (const wxFont &font)=0
virtual wxFont | GetFont ()=0
virtual void | SetTextOrientation (int orientation)=0
virtual int | GetTextOrientation ()=0
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawPlainBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawDropDownButton (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawControlLabel (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item, const wxRect &rect)=0
virtual void | DrawSeparator (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawGripper (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
virtual void | DrawOverflowButton (wxDC &dc, wxWindow *wnd, const wxRect &rect, int state)=0
virtual wxSize | GetLabelSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
virtual wxSize | GetToolSize (wxDC &dc, wxWindow *wnd, const wxAuiToolBarItem &item)=0
virtual int | GetElementSize (int element_id)=0
virtual void | SetElementSize (int element_id, int size)=0
virtual int | ShowDropDown (wxWindow *wnd, const wxAuiToolBarItemArray &items)=0

## Constructor & Destructor Documentation

## ◆ wxAuiToolBarArt()

wxAuiToolBarArt::wxAuiToolBarArt | ( |  | ) |

## Member Function Documentation

## ◆ Clone()

virtual wxAuiToolBarArt* wxAuiToolBarArt::Clone | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawBackground()

virtual void wxAuiToolBarArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawButton()

virtual void wxAuiToolBarArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawControlLabel()

virtual void wxAuiToolBarArt::DrawControlLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawDropDownButton()

virtual void wxAuiToolBarArt::DrawDropDownButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawGripper()

virtual void wxAuiToolBarArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawLabel()

virtual void wxAuiToolBarArt::DrawLabel | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawOverflowButton()

virtual void wxAuiToolBarArt::DrawOverflowButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect,
|  | int | state
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawPlainBackground()

virtual void wxAuiToolBarArt::DrawPlainBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ DrawSeparator()

virtual void wxAuiToolBarArt::DrawSeparator | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetElementSize()

virtual int wxAuiToolBarArt::GetElementSize | ( | int | element_id | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetFlags()

virtual unsigned int wxAuiToolBarArt::GetFlags | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetFont()

virtual wxFont wxAuiToolBarArt::GetFont | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetLabelSize()

virtual wxSize wxAuiToolBarArt::GetLabelSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetTextOrientation()

virtual int wxAuiToolBarArt::GetTextOrientation | ( |  | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ GetToolSize()

virtual wxSize wxAuiToolBarArt::GetToolSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiToolBarItem & | item
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetElementSize()

virtual void wxAuiToolBarArt::SetElementSize | ( | int | element_id,
|  | int | size
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetFlags()

virtual void wxAuiToolBarArt::SetFlags | ( | unsigned int | flags | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetFont()

virtual void wxAuiToolBarArt::SetFont | ( | const wxFont & | font | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ SetTextOrientation()

virtual void wxAuiToolBarArt::SetTextOrientation | ( | int | orientation | ) |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.

## ◆ ShowDropDown()

virtual int wxAuiToolBarArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiToolBarItemArray & | items
| ) |  |
| pure virtual

Implemented in wxAuiDefaultToolBarArt.